////////////////////////////////////////////////////////////////////
// on-start code: read and set (last) Item(s) status on (re)start //
////////////////////////////////////////////////////////////////////

#ifndef _MY_ST_START_H_
#define _MY_ST_START_H_

#include "myST_Gen.h"

/** add your own "on start" code **/
void onStart() {  // once caled by setup()
  uint8_t n = OFF;
  uint8_t mode = atoi(itemValues[nLamp][nMode]);
  if (atoi(itemValues[nLamp][nPause])) n = atoi(itemValues[nLamp][nStatus]);
  else if (mode) {  // mode 1,2 or 3?
    if (mode == 1 || mode == 3) n = timesTest(dayTime, (atoi(itemValues[nLamp][nOnhh1]) * 3600 + atoi(itemValues[nLamp][nOnmm1]) * 60), (dayRise - atoi(itemValues[nLamp][nRise1]) * 60), true);
    if (n != ON) n = timesTest(dayTime, (daySet + atoi(itemValues[nLamp][nSet1]) * 60), (atoi(itemValues[nLamp][nOffhh1]) * 3600 + atoi(itemValues[nLamp][nOffmm1]) * 60), true);
  }
  if (n <= ON) {
    digitalWrite(lampPin, n);
    if (atoi(itemValues[nLamp][nStatus]) != n) { 
      strcpy(itemValues[nLamp][nStatus], String(n).c_str());
      saveIt = true;
    }
  }
}

#endif
