////////////////////////////////////////////////////////////////////
// on-start code: read and set (last) Item(s) status on (re)start //
////////////////////////////////////////////////////////////////////

#ifndef _MY_ST_START_H_
#define _MY_ST_START_H_

#include "myST_Gen.h"

/** add your own "on start" code **/
void onStart() {  // once caled by setup()
  uint8_t n = OFF;
  if (atoi(itemValues[nPump][nPause])) n = atoi(itemValues[nPump][nStatus]);
  else if (atoi(itemValues[nPump][nMode])) {
    n = timesTest(dayTime, dayRise + (atoi(itemValues[nPump][nRise1]) * 60), daySet - (atoi(itemValues[nPump][nSet1]) * 60), true);
  }
  if (n <= ON) {
    digitalWrite(pumpPin, n);
    if (atoi(itemValues[nPump][nStatus]) != n) { 
      strcpy(itemValues[nPump][nStatus], String(n).c_str());
      saveIt = true;
    }
  }
}

#endif
