////////////////////////////////////////////////////////
// on-action code: time and other actions from loop() //
////////////////////////////////////////////////////////

#ifndef _MY_ST_ACTION_H_
#define _MY_ST_ACTION_H_

#include "myST_Gen.h"

//** add your own "on action" code **/
void onAction() {  // every minute called by loop()
  for (uint8_t i = 0; i < nItems; i++) {
    if (!atoi(itemValues[i][nPause]) && atoi(itemValues[i][nMode])) {  // NOT paused and mode > ZERO
      if (i == nLamp) {
        uint8_t n = NO;
        uint8_t mode = atoi(itemValues[nLamp][nMode]);
        if (atoi(itemValues[nLamp][nPause])) n = atoi(itemValues[nLamp][nStatus]);
        else if (mode) {  // mode 1,2 or 3?
          if (mode == 1 || mode == 3) n = timesTest(dayTime, (atoi(itemValues[nLamp][nOnhh1]) * 3600 + atoi(itemValues[nLamp][nOnmm1]) * 60), (dayRise - atoi(itemValues[nLamp][nRise1]) * 60), false);
          if (n == NO) n = timesTest(dayTime, (daySet + atoi(itemValues[nLamp][nSet1]) * 60), (atoi(itemValues[nLamp][nOffhh1]) * 3600 + atoi(itemValues[nLamp][nOffmm1]) * 60), false);
        }
        if (n <= ON) {
          digitalWrite(lampPin, n);  // lamp ON/OFF
          strcmp(itemValues[nLamp][nStatus], String(n).c_str());
          saveIt = true;
        }
      }
    }
  }
}

#endif
