////////////////////////////////////////////////////////
// on-action code: time and other actions from loop() //
////////////////////////////////////////////////////////

#ifndef _MY_ST_ACTION_H_
#define _MY_ST_ACTION_H_

#include "myST_Gen.h"

//** add your own "on action" code **/
void onAction() {  // every minute called by loop()
  for (uint8_t i = 0; i < nItems; i++) {
    if (!atoi(itemValues[i][nPause]) && atoi(itemValues[i][nMode])) {  // NOT paused and mode > ZERO
      if (i == nPump) {
        uint8_t n = NO;
        uint8_t mode = atoi(itemValues[nPump][nMode]);
        if (atoi(itemValues[nPump][nPause])) n = atoi(itemValues[nPump][nStatus]);
        else if (mode) {  // mode 1,2 or 3?
          n = timesTest(dayTime, dayRise + (atoi(itemValues[nPump][nRise1]) * 60), daySet - (atoi(itemValues[nPump][nSet1]) * 60), false);
        }
        if (n <= ON) {
          digitalWrite(pumpPin, n);  // pump ON/OFF
          if (atoi(itemValues[nPump][nStatus]) != n) { 
            strcmp(itemValues[nPump][nStatus], String(n).c_str());
            saveIt = true;
          }
        }
      }
    }
  }
}

#endif
